From 8aa9795a1470ece80d71568f42ef9549ec8e2215 Mon Sep 17 00:00:00 2001
From: Wei Shu <weishu@marvell.com>
Date: Wed, 30 Jul 2014 09:58:24 +0800
Subject: [PATCH 2/4] gcore: ARM64: fix NT_ARM_TLS missing build error

Signed-off-by: Wei Shu <weishu@marvell.com>
---
 extensions/libgcore/gcore_defs.h |    4 ++++
 1 file changed, 4 insertions(+)

diff --git a/extensions/libgcore/gcore_defs.h b/extensions/libgcore/gcore_defs.h
index ba7c1bd..31b4b0d 100644
--- a/extensions/libgcore/gcore_defs.h
+++ b/extensions/libgcore/gcore_defs.h
@@ -530,6 +530,10 @@ struct user_regs_struct{
 	unsigned long cpsr;
 };
 
+#ifndef NT_ARM_TLS
+#define NT_ARM_TLS     0x401           /* AArch TLS registers */
+#endif
+
 #endif
 
 typedef ulong elf_greg_t;
-- 
1.7.9.5

